part of 'training_log_bloc.dart';

abstract class TrainingLogState extends Equatable {
  const TrainingLogState();

  @override
  List<Object> get props => [];
}

class TrainingLogInitial extends TrainingLogState {
  const TrainingLogInitial();
}

class TrainingLogLoading extends TrainingLogState {
  const TrainingLogLoading();
}

class TrainingLogReady extends TrainingLogState {
  const TrainingLogReady();
}

class TrainingLogError extends TrainingLogState {
  final String message;
  const TrainingLogError({required this.message});

  @override
  List<Object> get props => [message];
}
